| Home | Libraries | People | FAQ | More

## Function template make_n_step_time_range

boost::numeric::odeint::make_n_step_time_range — Factory function to construct a single pass range of n-step iterators. A range is here a pair of n_step_time_iterator.

## Synopsis

    // In header: <boost/numeric/odeint/iterator/n_step_time_iterator.hpp>

    template<typename Stepper, typename System, typename State>
      std::pair< n_step_time_iterator< Stepper, System, State >, n_step_time_iterator< Stepper, System, State > >
      make_n_step_time_range(Stepper stepper, System system, State & x,
                             typename traits::time_type< Stepper >::type t,
                             typename traits::time_type< Stepper >::type dt,
                             size_t num_of_steps);

## Description

Parameters:

`dt` | The initial time step.
`num_of_steps` | The number of steps to be executed.
`stepper` | The stepper to use during the iteration.
`system` | The system function (ODE) to solve.
`t` | The initial time.
`x` | The initial state. `const_step_iterator` store a reference of s and changes its value during the iteration.

Returns: | The n-step range.